Bug 998076 - (libkfbapi) Review Request: libkfbapi - A library for accessing Facebook services
Review Request: libkfbapi - A library for accessing Facebook services
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-08-16 23:48 EDT by Rex Dieter
Modified: 2013-08-19 08:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 08:57:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan.mashal: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-08-16 23:48:16 EDT
Spec URL: http://rdieter.fedorapeople.org/rpms/libkfbapi/libkfbapi.spec
SRPM URL: http://rdieter.fedorapeople.org/rpms/libkfbapi/libkfbapi-1.0-1.fc19.src.rpm
Description: A library for accessing Facebook services
Fedora Account System Username: rdieter

Provides optional functionality to kdepim-runtime-4.11+
Comment 1 Rex Dieter 2013-08-16 23:54:21 EDT
scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5824026
Comment 2 Dan Mashal 2013-08-18 21:12:19 EDT
APPROVED, but please address the rpmlint issues before import if possible.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package requires other packages for directories it uses.
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package is not known to require ExcludeArch.
[ ]: Package complies to the Packaging Guidelines
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL", "Unknown or generated". 1 files have unknown license. Detailed
     output of licensecheck in /home/dan/998076-libkfbapi/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: The spec file handles locales properly.
[ ]: Package consistently uses macro is (instead of hard-coded directory
     names).
[ ]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Package must own all directories that it creates.
[ ]: Package does not own files or directories owned by other packages.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 30720 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Scriptlets must be sane, if used.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libkfbapi-1.0-1.fc19.x86_64.rpm
          libkfbapi-devel-1.0-1.fc19.x86_64.rpm
libkfbapi-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libkfbapi libkfbapi-devel
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libkparts.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libkresources.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libQtNetwork.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libQtXml.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libnepomukutils.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libnepomuk.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libQtSvg.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libsoprano.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libQtDBus.so.4
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libpthread.so.0
libkfbapi.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libkfbapi.so.1.0 /lib64/libm.so.6
libkfbapi-devel.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 12 warnings.
# echo 'rpmlint-done:'



Requires
--------
libkfbapi (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    kdepimlibs(x86-64)
    libQtCore.so.4()(64bit)
    libQtDBus.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libQtSvg.so.4()(64bit)
    libQtWebKit.so.4()(64bit)
    libQtXml.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libkabc.so.4()(64bit)
    libkcalcore.so.4()(64bit)
    libkdecore.so.5()(64bit)
    libkdeui.so.5()(64bit)
    libkdewebkit.so.5()(64bit)
    libkio.so.5()(64bit)
    libkmime.so.4()(64bit)
    libkparts.so.4()(64bit)
    libkpimutils.so.4()(64bit)
    libkresources.so.4()(64bit)
    libm.so.6()(64bit)
    libnepomuk.so.4()(64bit)
    libnepomukutils.so.4()(64bit)
    libpthread.so.0()(64bit)
    libqjson.so.0()(64bit)
    libsoprano.so.4()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

libkfbapi-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    kdepimlibs-devel
    libkfbapi(x86-64)
    libkfbapi.so.1()(64bit)



Provides
--------
libkfbapi:
    libkfbapi
    libkfbapi(x86-64)
    libkfbapi.so.1()(64bit)

libkfbapi-devel:
    libkfbapi-devel
    libkfbapi-devel(x86-64)
    pkgconfig(LibKFbAPI)



Source checksums
----------------
http://download.kde.org/stable/libkfbapi/1.0/src/libkfbapi-1.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 6edd25730367d3969910481a5b9021c6ed4eff8e4c92ac5b60a9035121008ebc
  CHECKSUM(SHA256) upstream package : 6edd25730367d3969910481a5b9021c6ed4eff8e4c92ac5b60a9035121008ebc


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-19-x86_64
Command line :/usr/bin/fedora-review -b 998076
Comment 3 Rex Dieter 2013-08-18 21:53:34 EDT
New Package SCM Request
=======================
Package Name: libkfbapi
Short Description: A library for accessing Facebook services
Owners: rdieter
Branches: f18 f19
InitialCC:
Comment 4 Gwyn Ciesla 2013-08-19 08:34:01 EDT
Git done (by process-git-requests).
Comment 5 Rex Dieter 2013-08-19 08:57:45 EDT
imported.

Note You need to log in before you can comment on or make changes to this bug.